## kodi-addon-inputstream-adaptive-21.5.16-1.src.tar.gz

=== Documents/MkDocs/requirements.txt ===
# This requirements file is for python3
mkdocs == 1.2.3
mkdocs-material == 7.1.5
mkdocs-material-extensions == 1.0
pymdown-extensions == 10.0

=== lib/webm_parser/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(webm_parser)

set(webm_parser_sources
    "include/webm/buffer_reader.h"
    "include/webm/callback.h"
    "include/webm/dom_types.h"
    "include/webm/element.h"
    "include/webm/file_reader.h"
    "include/webm/id.h"
    "include/webm/istream_reader.h"
    "include/webm/reader.h"
    "include/webm/status.h"
    "include/webm/webm_parser.h"
    "src/ancestory.cc"
    "src/ancestory.h"
    "src/audio_parser.h"
    "src/bit_utils.cc"
    "src/bit_utils.h"
    "src/block_additions_parser.h"
    "src/block_group_parser.h"
    "src/block_header_parser.cc"
    "src/block_header_parser.h"
    "src/block_more_parser.h"
    "src/block_parser.cc"
    "src/block_parser.h"
    "src/bool_parser.h"
    "src/buffer_reader.cc"
    "src/byte_parser.h"
    "src/callback.cc"
    "src/chapter_atom_parser.h"
    "src/chapter_display_parser.h"
    "src/chapters_parser.h"
    "src/cluster_parser.h"
    "src/colour_parser.h"
    "src/content_enc_aes_settings_parser.h"
    "src/content_encoding_parser.h"
    "src/content_encodings_parser.h"
    "src/content_encryption_parser.h"
    "src/cue_point_parser.h"
    "src/cue_track_positions_parser.h"
    "src/cues_parser.h"
    "src/date_parser.cc"
    "src/date_parser.h"
    "src/ebml_parser.h"
    "src/edition_entry_parser.h"
    "src/element_parser.h"
    "src/file_reader.cc"
    "src/float_parser.cc"
    "src/float_parser.h"
    "src/id_element_parser.cc"
    "src/id_element_parser.h"
    "src/id_parser.cc"
    "src/id_parser.h"
    "src/info_parser.h"
    "src/int_parser.h"
    "src/istream_reader.cc"
    "src/master_parser.cc"
    "src/master_parser.h"
    "src/master_value_parser.h"
    "src/mastering_metadata_parser.h"
    "src/parser.h"
    "src/parser_utils.cc"
    "src/parser_utils.h"
    "src/projection_parser.h"
    "src/recursive_parser.h"
    "src/seek_head_parser.h"
    "src/seek_parser.h"
    "src/segment_parser.cc"
    "src/segment_parser.h"
    "src/simple_tag_parser.h"
    "src/size_parser.cc"
    "src/size_parser.h"
    "src/skip_callback.h"
    "src/skip_parser.cc"
    "src/skip_parser.h"
    "src/slices_parser.h"
    "src/tag_parser.h"
    "src/tags_parser.h"
    "src/targets_parser.h"
    "src/time_slice_parser.h"
    "src/track_entry_parser.h"
    "src/tracks_parser.h"
    "src/unknown_parser.cc"
    "src/unknown_parser.h"
    "src/var_int_parser.cc"
    "src/var_int_parser.h"
    "src/video_parser.h"
    "src/virtual_block_parser.cc"
    "src/virtual_block_parser.h"
    "src/void_parser.cc"
    "src/void_parser.h"
    "src/webm_parser.cc")

add_library(webm_parser STATIC ${webm_parser_sources})

target_include_directories(webm_parser
                           PRIVATE ${PROJECT_SOURCE_DIR}/include
                           PUBLIC ${PROJECT_SOURCE_DIR}/include)

set_target_properties(webm_parser PROPERTIES POSITION_INDEPENDENT_CODE True)

# Fix C++17 Win UWP build error on src/master_parser.h line 156 and 160 with C4996.
# NOTE: Check sometimes libwebm becomes update byself in future to fix about!
if(CORE_SYSTEM_NAME MATCHES windows)
  target_compile_definitions(webm_parser PRIVATE -D_SILENCE_CXX17_ADAPTOR_TYPEDEFS_DEPRECATION_WARNING)
endif()

source_group_by_folder(webm_parser)

=== depends/common/googletest/CMakeLists.txt ===
# Note: CMake support is community-based. The maintainers do not use CMake
# internally.

cmake_minimum_required(VERSION 3.5)

if (POLICY CMP0048)
  cmake_policy(SET CMP0048 NEW)
endif (POLICY CMP0048)

if (POLICY CMP0069)
  cmake_policy(SET CMP0069 NEW)
endif (POLICY CMP0069)

if (POLICY CMP0077)
  cmake_policy(SET CMP0077 NEW)
endif (POLICY CMP0077)

project(googletest-distribution)
set(GOOGLETEST_VERSION 1.14.0)

# Workaround for missing debug postfix
# may be fixed on future versions
# https://github.com/google/googletest/issues/3843
set(CMAKE_DEBUG_POSTFIX "d")

if (CMAKE_VERSION VERSION_LESS "3.1")
  add_definitions(-std=c++14)
else()
  set(CMAKE_CXX_STANDARD 14)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
  if(NOT CYGWIN)
    set(CMAKE_CXX_EXTENSIONS OFF)
  endif()
endif()

enable_testing()

include(CMakeDependentOption)
include(GNUInstallDirs)

#Note that googlemock target already builds googletest
option(BUILD_GMOCK "Builds the googlemock subproject" ON)
option(INSTALL_GTEST "Enable installation of googletest. (Projects embedding googletest may want to turn this OFF.)" ON)

if(BUILD_GMOCK)
  add_subdirectory( googlemock )
else()
  add_subdirectory( googletest )
endif()

=== PKGBUILD ===
# Maintainer: BlackIkeEagle <ike DOT devolder AT gmail DOT com>
# Contributor: Cedric Girard <cgirard.archlinux@valinor.fr>
# Contributor: kevku <kevku@gmx.com>

pkgname=kodi-addon-inputstream-adaptive
pkgver=21.5.16
_codename=Omega
pkgrel=1
pkgdesc="InputStream client for adaptive streams for Kodi 18+"
arch=('x86_64')
url="https://github.com/peak3d/inputstream.adaptive"
license=('GPL2')
groups=('kodi-addons' 'kodi-addons-inputstream')
makedepends=('cmake' 'kodi-dev' 'gtest' 'rapidjson' 'pugixml')
options=(!lto)

_bento4_version="1.6.0-641-3"

source=("$pkgname-$pkgver.tar.gz::https://github.com/peak3d/inputstream.adaptive/archive/$pkgver-$_codename.tar.gz"
        "$pkgname-bento4-$_bento4_version.tar.gz::https://github.com/xbmc/Bento4/archive/refs/tags/$_bento4_version-$_codename.tar.gz"
        "0001-gcc-15-build-fixes.patch"
    )
noextract=("$pkgname-bento4-$_bento4_version.tar.gz")
sha512sums=('61cbb3d2f960f6ef0a0fd47494f68f30a81f7ca01cc098bf1f457ac6b26da3876d060c1057c35f5cbb5b2425530c823261e93b43e2aaba7143c58b01b31bbdfd'
            '401a4a394a6822f1d83cdb2fd61e5b353c5c7e610b095557ec5aad1639fc94b631676d7f335260285d74f8662ddb60863b65ff54711fcf3462458965bf9cc021'
            'c6c35f698de8e57429e134467d56d11e64e697a522513ae0437f3a99251336c87e9ab0d11a950bae687b1433c7300adc3ba6f3857d9b78849017986a273b44e2')

prepare() {
    cd "inputstream.adaptive-$pkgver-$_codename"
    patch -p1 -i "$srcdir/0001-gcc-15-build-fixes.patch"
}

build() {
    cd "inputstream.adaptive-$pkgver-$_codename"
    cmake \
        -DCMAKE_INSTALL_PREFIX=/usr \
        -DCMAKE_BUILD_TYPE=Release \
        -DBUILD_SHARED_LIBS=1 \
        -DUSE_LTO=1 \
        -DENABLE_INTERNAL_BENTO4=1 \
        -DBENTO4_URL="$srcdir/$pkgname-bento4-$_bento4_version.tar.gz" \
        .
    make
}

package() {
    depends=('kodi' 'kodi-platform' 'pugixml')
    cd "inputstream.adaptive-$pkgver-$_codename"
    make DESTDIR="$pkgdir/" install
}
